#include <DHT.h>

#define DHT_PIN D4       // Replace with the appropriate pin number connected to the DHT22 sensor
#define DHT_TYPE DHT22  // DHT11 or DHT22, depending on your sensor model

DHT dht(DHT_PIN, DHT_TYPE);
float temperature = 0;

void setup() {
  Serial.begin(9600);
  dht.begin();
}

void loop() {
  temperature = dht.readTemperature();
  Serial.println(temperature);

  delay(2000);
}